Subject: Re: [PATCH v1 2/9] t4013: test "git -m --raw"

From: Sergey Organov <[email-masked]>
Date: Tue, 18 May 2021 15:13:33 +0300

Bagas Sanjaya <[email-masked]> writes:

> On 17/05/21 22.58, Sergey Organov wrote:
>> This is to ensure we won't break different diff formats when we start
>> to imply "-p" by "-m".
>> 
>
> This patch, and patch 3, have the same commit message (and thus the logic),
> so these can be squashed.

Yep, but they have different subjects. Usually I need a serious reason
to squash otherwise independent changes, but if you guys prefer them
squashed, we'd need to come up with suitable squashed subject, and I'll
squash them no problem.

>
>> Signed-off-by: Sergey Organov <[email-masked]>
>> ---
>>   t/t4013-diff-various.sh          |  1 +
>>   t/t4013/diff.log_-m_--raw_master | 61 ++++++++++++++++++++++++++++++++
>>   2 files changed, 62 insertions(+)
>>   create mode 100644 t/t4013/diff.log_-m_--raw_master
>> diff --git a/t/t4013-diff-various.sh b/t/t4013-diff-various.sh
>> index e9f67cd24351..1809355f9bb1 100755
>> --- a/t/t4013-diff-various.sh
>> +++ b/t/t4013-diff-various.sh
>> @@ -337,6 +337,7 @@ log -m -p --first-parent master
>>   log -m -p master
>>   log --cc -m -p master
>>   log -c -m -p master
>> +log -m --raw master
>>   log -SF master
>>   log -S F master
>>   log -SF -p master
>
> In near future, we will switch default branch created by `git init` to
> main. Had the test be prepared?

No idea, sorry. I'd personally rather change preparation stage of this
test file to explicitly create "master".

>
>> +:100644 100644 7289e35... 992913c... M	dir/sub
>> +:100644 100644 f4615da... 10a8a9f... M	file0
>> +:000000 100644 0000000... b1e6722... A	file1
>> +:100644 000000 01e79c3... 0000000... D	file2
>> +:100644 000000 7289e35... 0000000... D	file3
>> +
>> +commit c7a2ab9e8eac7b117442a607d5a9b3950ae34d5a
>> +Author: A U Thor <[email-masked]>
>> +Date:   Mon Jun 26 00:03:00 2006 +0000
>> +
>> +    Side
>> +
>> +:100644 100644 35d242b... 7289e35... M	dir/sub
>> +:100644 100644 01e79c3... f4615da... M	file0
>> +:000000 100644 0000000... 7289e35... A	file3
>> +
>> +commit 9a6d4949b6b76956d9d5e26f2791ec2ceff5fdc0
>> +Author: A U Thor <[email-masked]>
>> +Date:   Mon Jun 26 00:02:00 2006 +0000
>> +
>> +    Third
>> +
>> +:100644 100644 8422d40... cead32e... M	dir/sub
>> +:000000 100644 0000000... b1e6722... A	file1
>> +
>> +commit 1bde4ae5f36c8d9abe3a0fce0c6aab3c4a12fe44
>> +Author: A U Thor <[email-masked]>
>> +Date:   Mon Jun 26 00:01:00 2006 +0000
>> +
>> +    Second
>> +
>> +    This is the second commit.
>> +
>
> The rest of commits only have commit title, why do this second commit
> have also commit message body?

Probably for testing of messages bodies? Anyway, that's how these tests
are arranged, doesn't come with these particular patches.

BTW, in the original there are trailing whitespaces on otherwise empty
line between "Second" and "This is the seconds commit".

>
>> +:100644 100644 35d242b... 8422d40... M	dir/sub
>> +:100644 100644 01e79c3... b414108... M	file0
>> +:100644 000000 01e79c3... 0000000... D	file2
>> +
>> +commit 444ac553ac7612cc88969031b02b3767fb8a353a
>> +Author: A U Thor <[email-masked]>
>> +Date:   Mon Jun 26 00:00:00 2006 +0000
>> +
>> +    Initial
>> +$
>> 
>
> Thanks.

Thanks,

-- Sergey Organov